Secrets
Create a secret.
ROLES: SECRET_READ,SECRET_WRITE,SECRET_ADMIN USER: true SERVICE ACCOUNT: true
POST
/
api
/
v1
/
secrets
/
{secretId}
/
create
Create a secret.
curl --request POST \
--url https://api.revoengine.com/api/v1/secrets/{secretId}/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"secret": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({secret: '<string>'})
};
fetch('https://api.revoengine.com/api/v1/secrets/{secretId}/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/secrets/{secretId}/create"
payload = { "secret": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"secretDataId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"secretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active": true,
"actDate": "2023-11-07T05:31:56Z",
"version": 123,
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"lastUpdateBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastUpdateAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"deletedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Authorizations
Bearer JWT token or API Key (sk-*).
Path Parameters
Provide secretId.
Body
application/json
Response
New revision metadata without secret material.
Last modified on September 5, 2026
⌘I
Create a secret.
curl --request POST \
--url https://api.revoengine.com/api/v1/secrets/{secretId}/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"secret": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({secret: '<string>'})
};
fetch('https://api.revoengine.com/api/v1/secrets/{secretId}/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/secrets/{secretId}/create"
payload = { "secret": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"secretDataId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"secretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"active": true,
"actDate": "2023-11-07T05:31:56Z",
"version": 123,
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"lastUpdateBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lastUpdateAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"deletedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
